Distribution:	CCux
Packager:	H.-U. Schukraft <Schukraft@ccux-linux.de>

Name:		openjade
Version:	1.3.2
Release:	4
Source0:	%{name}-%{version}.tar.gz
Summary:	openjade is a DSSSL implementation.
URL:		http://sourceforge.net/projects/openjade/
License:	BSD License
Group:		Text Tools
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	OpenSP >= 1.5.1
Requires:	sgml-common
BuildRequires: 	OpenSP-devel >= 1.5.1

%description
Jade is James Clark's implementation of DSSSL (Document Style Semantics and Specification Language),
an ISO standard for formatting SGML (and XML) documents. OpenJade is a project undertaken by
the DSSSL community to maintain and extend Jade, as well as the related SP suite of SGML/XML processing tools.
OpenJade and OpenSP are distributed under the same license as Jade.
The OpenJade development effort is hosted at SourceForge.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig
install-catalog --add %_sysconfdir/sgml/openjade-1.3.2.cat %_datadir/sgml/%{name}-%{version}/catalog > /dev/null
install-catalog --add %_sysconfdir/sgml/sgml-docbook.cat %_sysconfdir/sgml/%{name}-%{version}.cat > /dev/null

%postun
install-catalog --remove %_sysconfdir/sgml/openjade-1.3.2.cat %_datadir/sgml/%{name}-%{version}/catalog > /dev/null
install-catalog --remove %_sysconfdir/sgml/sgml-docbook.cat %_sysconfdir/sgml/%{name}-%{version}.cat > /dev/null
ldconfig

%prep
%setup  -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
    --mandir=%_mandir \
    --enable-http \
    --enable-default-catalog=%_sysconfdir/sgml/catalog \
    --enable-default-search-path=%_datadir/sgml \
    --datadir=%_datadir/sgml/%{name}-%{version}
make

%install
rm -rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/sgml
ln -sf openjade $RPM_BUILD_ROOT%_bindir/jade
ln -sf libogrove.so $RPM_BUILD_ROOT%_libdir/libgrove.so
ln -sf libospgrove.so $RPM_BUILD_ROOT%_libdir/libspgrove.so
ln -sf libostyle.so $RPM_BUILD_ROOT%_libdir/libstyle.so
install -m644 dsssl/catalog $RPM_BUILD_ROOT%_datadir/sgml/%{name}-%{version}/
install -m644 dsssl/*.{dtd,dsl,sgm} $RPM_BUILD_ROOT%_datadir/sgml/%{name}-%{version}
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_sysconfdir
%_bindir
%_libdir/*.so.*
%_datadir

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Oct 27 2005 Christian Wasem <wasem@ccux-linux.de> - 1.3.2-4
- tweaked specfile, added catalog install/remove
* Thu Apr 29 2005 Christian Metzen <metzench@ccux-linux.de> - 1.3.2-3
- Modified Group, Summary
* Sun Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> - 1.3.2-2
- Moved Prefix Location, tweaked Specfile
* Wed Feb 23 2005 H.-U. Schukraft <Schukraft@ccux-linux.de> - 1.3.2-1
- First package release.